# $Revision: 1.8 $, $Date: 2002/09/09 09:21:50 $
Summary:	High Performance Liquid
Summary(pl):	Wysoko wydajny Liquid
Name:		kde-theme-mosfet-liquid
Version:	0.9.5
Release:	4
License:	GPL
Group:		Themes
Source0:	http://www.mosfet.org/mosfet-liquid%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.mosfet.org/liquid.html
BuildRequires:	kdebase-devel >= 3.0
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
High Performance Liquid is an efficent and streamlined version of a
liquid style UI. It makes use of KDE/Qt's widget styling engine, which
uses custom C++ code to render the widgets. To meet the high
performance objectives, the style is made of tileable components
rather than pixmaps (which would need to be scaled).

%description -l pl
Efektywna wersja popularnego stylu interfejsu uytkownika - liquid.

%prep
%setup  -q -n mosfet-liquid%{version}

%build
%configure
#--enable-objprelink
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings/KDE/LookNFeel

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings/KDE/LookNFeel/liquid.desktop

# splash screens conflict
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/ksplash

%post
/sbin/ldconfig
echo "You may have to run kinstalltheme for this theme to become available"
echo "in currently opened sessions."

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/kde3/*.so
%attr(755,root,root) %{_libdir}/kde3/*.la
%{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/plugins/styles/*.la
%{_applnkdir}/Settings/KDE/LookNFeel/liquid.desktop
%{_datadir}/apps/*/*.*
%{_datadir}/apps/*/*/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kde-theme-mosfet-liquid.spec,v $
Revision 1.8  2002/09/09 09:21:50  qboosh
- removed dirs that belong to kdelibs; release 4

Revision 1.7  2002/08/29 08:26:20  blues
- BR added

Revision 1.6  2002/08/28 04:54:16  blues
- release 3 - disable objprelink, better BR

Revision 1.5  2002/07/28 21:23:35  blues
- one missing file

Revision 1.4  2002/07/28 21:21:01  blues
- removed duplicate %post

Revision 1.3  2002/07/28 20:03:43  mkochano
- Release 2.
- Added post section with message.

Revision 1.2  2002/06/06 09:45:46  mkierus
- updated to 0.9.5

Revision 1.1  2002/04/30 12:14:55  misiek
- initial pld release
